# swagger_client
API to look up or generate a unique study identifier

This Python package is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 1.0.0
- Package version: 1.0.0
- Build package: io.swagger.codegen.languages.PythonClientCodegen

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on Github, you can install directly from Github

```sh
pip install git+https://github.com//.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com//.git`)

Then import the package:
```python
import swagger_client 
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import swagger_client
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint
# create an instance of the API class
api_instance = swagger_client.DefaultApi()
token = 'token_example' # str | required authentication token
mrns = swagger_client.StanfordMrnList() # StanfordMrnList | Array of StanfordMrn (optional)

try:
    # Accepts a list of Stanford MRNs with optional name and date of birth, returns a list of invalid MRNs or empty list if no problems found
    api_response = api_instance.mrn(token, mrns=mrns)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling DefaultApi->mrn: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *https://virtserver.swaggerhub.com/susanweber/UID/1.0.0*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*DefaultApi* | [**mrn**](docs/DefaultApi.md#mrn) | **POST** /v1/api/mrn/:mrn | Accepts a list of Stanford MRNs with optional name and date of birth, returns a list of invalid MRNs or empty list if no problems found
*DevelopersApi* | [**uid**](docs/DevelopersApi.md#uid) | **POST** /v1/api/suid/:study | Accepts a list of identified items, returns a list of study specific identifiers


## Documentation For Models

 - [ChildEntity](docs/ChildEntity.md)
 - [CustomField](docs/CustomField.md)
 - [Entity](docs/Entity.md)
 - [EntityList](docs/EntityList.md)
 - [InvalidMrn](docs/InvalidMrn.md)
 - [InvalidMrnList](docs/InvalidMrnList.md)
 - [StanfordMrn](docs/StanfordMrn.md)
 - [StanfordMrnList](docs/StanfordMrnList.md)
 - [UidChildEntity](docs/UidChildEntity.md)
 - [UidEntity](docs/UidEntity.md)
 - [UidEntityList](docs/UidEntityList.md)
 - [ValidMrn](docs/ValidMrn.md)
 - [ValidMrnList](docs/ValidMrnList.md)


## Documentation For Authorization

 All endpoints do not require authorization.


## Author

scweber@stanford.edu

