# coding: utf-8

"""
    Unique ID

    API to look up or generate a unique study identifier

    OpenAPI spec version: 1.0.0
    Contact: scweber@stanford.edu
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""


from pprint import pformat
from six import iteritems
import re


class UidChildEntity(object):
    """
    NOTE: This class is auto generated by the swagger code generator program.
    Do not edit the class manually.
    """
    def __init__(self, id=None, id_source=None, suid=None, jittered_timestamp=None, custom_fields=None):
        """
        UidChildEntity - a model defined in Swagger

        :param dict swaggerTypes: The key is attribute name
                                  and the value is attribute type.
        :param dict attributeMap: The key is attribute name
                                  and the value is json key in definition.
        """
        self.swagger_types = {
            'id': 'str',
            'id_source': 'str',
            'suid': 'str',
            'jittered_timestamp': 'str',
            'custom_fields': 'list[CustomField]'
        }

        self.attribute_map = {
            'id': 'id',
            'id_source': 'id_source',
            'suid': 'suid',
            'jittered_timestamp': 'jittered_timestamp',
            'custom_fields': 'custom_fields'
        }

        self._id = id
        self._id_source = id_source
        self._suid = suid
        self._jittered_timestamp = jittered_timestamp
        self._custom_fields = custom_fields

    @property
    def id(self):
        """
        Gets the id of this UidChildEntity.
        this is the external identifier for which a unique study id should be returned

        :return: The id of this UidChildEntity.
        :rtype: str
        """
        return self._id

    @id.setter
    def id(self, id):
        """
        Sets the id of this UidChildEntity.
        this is the external identifier for which a unique study id should be returned

        :param id: The id of this UidChildEntity.
        :type: str
        """
        if id is None:
            raise ValueError("Invalid value for `id`, must not be `None`")

        self._id = id

    @property
    def id_source(self):
        """
        Gets the id_source of this UidChildEntity.
        this scopes the identifier, since different source systems may wind up inadvertently using the same identifier

        :return: The id_source of this UidChildEntity.
        :rtype: str
        """
        return self._id_source

    @id_source.setter
    def id_source(self, id_source):
        """
        Sets the id_source of this UidChildEntity.
        this scopes the identifier, since different source systems may wind up inadvertently using the same identifier

        :param id_source: The id_source of this UidChildEntity.
        :type: str
        """
        if id_source is None:
            raise ValueError("Invalid value for `id_source`, must not be `None`")

        self._id_source = id_source

    @property
    def suid(self):
        """
        Gets the suid of this UidChildEntity.
        this is the Stanford UID or 'suid' generated for the supplied id and id_source pair in the context of the current study

        :return: The suid of this UidChildEntity.
        :rtype: str
        """
        return self._suid

    @suid.setter
    def suid(self, suid):
        """
        Sets the suid of this UidChildEntity.
        this is the Stanford UID or 'suid' generated for the supplied id and id_source pair in the context of the current study

        :param suid: The suid of this UidChildEntity.
        :type: str
        """

        self._suid = suid

    @property
    def jittered_timestamp(self):
        """
        Gets the jittered_timestamp of this UidChildEntity.
        an optional associated timestamp which if supplied will be returned offset by a random whole number in the discontinous range [-33,-3] or [3,33] associated with the study identifier i.e. \"jittered\"

        :return: The jittered_timestamp of this UidChildEntity.
        :rtype: str
        """
        return self._jittered_timestamp

    @jittered_timestamp.setter
    def jittered_timestamp(self, jittered_timestamp):
        """
        Sets the jittered_timestamp of this UidChildEntity.
        an optional associated timestamp which if supplied will be returned offset by a random whole number in the discontinous range [-33,-3] or [3,33] associated with the study identifier i.e. \"jittered\"

        :param jittered_timestamp: The jittered_timestamp of this UidChildEntity.
        :type: str
        """

        self._jittered_timestamp = jittered_timestamp

    @property
    def custom_fields(self):
        """
        Gets the custom_fields of this UidChildEntity.
        an optional set of information associated with the identifier

        :return: The custom_fields of this UidChildEntity.
        :rtype: list[CustomField]
        """
        return self._custom_fields

    @custom_fields.setter
    def custom_fields(self, custom_fields):
        """
        Sets the custom_fields of this UidChildEntity.
        an optional set of information associated with the identifier

        :param custom_fields: The custom_fields of this UidChildEntity.
        :type: list[CustomField]
        """

        self._custom_fields = custom_fields

    def to_dict(self):
        """
        Returns the model properties as a dict
        """
        result = {}

        for attr, _ in iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value

        return result

    def to_str(self):
        """
        Returns the string representation of the model
        """
        return pformat(self.to_dict())

    def __repr__(self):
        """
        For `print` and `pprint`
        """
        return self.to_str()

    def __eq__(self, other):
        """
        Returns true if both objects are equal
        """
        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """
        Returns true if both objects are not equal
        """
        return not self == other
